package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 订单状态
 * @Author: sui q
 * @Time: 2022/8/31 9:14
 * @Classname: EOrderStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EDeliveryCode {

    SF("SF", "顺丰速运", 0),

    HTKY("HTKY", "百世快递", 0),

    ZTO("ZTO", "中通快递", 0),

    STO("STO", "申通快递",  0),

    YTO("YTO", "圆通速递", 0),

    YD("YD", "韵达速递", 0),

    YZPY("YZPY", "邮政快递包裹", 0),

    JD("JD", "京东物流", 0),

    EMS("EMS", "EMS", 0)
    ;

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
